Subject: Re: [PATCH] net_sched: make traffic control network namespace aware

From: Patrick McHardy <[email-masked]>
Date: Sun, 11 Apr 2010 19:48:15 +0200

Patrick McHardy wrote:
> Patrick McHardy wrote:
>> Tom Goff wrote:
>>> Mostly minor changes to add a net argument to various functions and
>>> remove initial network namespace checks.
>>>
>>> Make /proc/net/psched per network namespace.
>> Looks fine from a qdisc POV. One thing that appears to be missing
>> though is teql master netdev registration in other than the initial
>> namespace.
> 
> Actually we could take this opportunity and add rtnl_link support
> for teql device registration. I can look into this in a couple of
> days.

I tried to do that, but adding proper netns support is more
complicated than I expected. sch_teql registers a qdisc for
each master device using the name of the master. Currently
qdisc registrations are global, so this doesn't work with
network namespaces.

We could of course make them per netns, but that would require
duplicating all global registrations for each namespace. I'm
not convinced that its worth doing this since its only teql
that needs it and it doesn't seem to be very useful to use
teql in a virtual environment.